Subject: bug#51742: 29.0.50; user-error: Cannot invoke transient emoji--command-Emoji while minibuffer is active

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Nov 2021 05:47:05 +0100

Jean Louis <[email-masked]> writes:

> I am editing entries in minibuffer and then if I wish to add emoji,
> there is this problem:
>
> user-error: Cannot invoke transient emoji--command-Emoji while
> minibuffer is active
>
> This brings me that I need to write emoji somewhere, kill and yank it
> into minibuffer, instead of directly inserting it in the minibuffer.

This is because of:

(defun transient-setup (&optional name layout edit &rest params)

[...]

  (when (> (minibuffer-depth) 0)
    (user-error "Cannot invoke transient %s while minibuffer is active" name))

Jonas, is there any reason for this check?  Things seem to work just
fine if I remove it.  (Or perhaps the check should be removed if
enable-recursive-minibuffers is non-nil?)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no